Subject: Re: bug#60245: 28.2; recentf: Be able to include directories

From: Stephen Berman <[email-masked]>
Date: Thu, 22 Dec 2022 00:02:47 +0100

On Wed, 21 Dec 2022 21:14:20 +0000 Drew Adams <[email-masked]> wrote:

> Enhancement request: Have recentf let you optionally include directories
> that you've visited with Dired.  (Currently it seems that the gatekeeper
> in the code is basically `buffer-file-name'.)

FWIW I use the following, suggested long ago by Kevin Rodgers
(https://lists.gnu.org/archive/html/help-gnu-emacs/2004-01/msg00525.html):

(add-hook 'dired-mode-hook
	  (lambda () (when recentf-mode
		       (recentf-add-file default-directory))))

Steve Berman